Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153221 - Profile me! Self sampling tool
Profile me! Self sampling tool
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P1 (vote)
: 6.x
Assigned To: J Bachorik
issues@profiler
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-14 14:11 UTC by Jaroslav Tulach
Modified: 2009-06-05 14:27 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jaroslav Tulach 2008-11-14 14:11:41 UTC
A button in toolbar to start, stop profiling. After turning on, the system starts to capture thread dumps from the 
running IDE. The user can work with the IDE, emulating the action which he knows is slow and then turn the self 
profiling off. At the moment the system generates standard NetBeans Profiler snapshot, shows it to the user and allows 
him to analyze it or attache it to issuezilla.

Details at http://wiki.netbeans.org/FitnessViaPartnership
Comment 1 Tomas Pavek 2009-01-12 16:54:14 UTC
Also consider that the toolbar button can't be pressed when a modal dialog is opened. Make sure it also works with some
keyboard shortcut...
Comment 2 J Bachorik 2009-02-04 12:38:00 UTC
fixed - http://hg.netbeans.org/profiler-main/rev/320053be0e8f

The action gets Alt-Shift-Y shortcut. For modal dialogs there is a possibility to add 
"-J-Dorg.netbeans.modules.profiler.actions.SelfSamplerAction.sniff=true" when starting the IDE to be able to invoke the
action using AltGr (the right alt key) - however, this option should be used with caution as it doesn't respect the
IDE-wide shortcut configuration.
Comment 3 Quality Engineering 2009-02-05 08:47:12 UTC
Integrated into 'main-golden', will be available in build *200902050256* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/320053be0e8f
User: Jaroslav Bachorik <yardus@netbeans.org>
Log: #153221 - IDE SelfSampling capability - now with a shortcut
Comment 4 Marian Mirilovic 2009-06-05 14:27:05 UTC
it's there - verified thanks


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo